\documentclass[11pt,a4paper]{article}

\usepackage{kbordermatrix, graphics, fullpage, amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../dcpic}

\pagestyle{empty}

% yomcat.sty
\newcommand{\cl}{\operatorname{cl}}
\newcommand{\ltr}{\ensuremath{(\Rightarrow)}}
\newcommand{\rtl}{\ensuremath{(\Leftarrow)}}
\newcommand{\set}[1]{\ensuremath{\lbrace#1\rbrace}}
\newcommand{\pend}{\hspace*{\fill}{\ensuremath{\square}}}
\newcommand{\es}{\ensuremath{\varnothing}}
\newcommand{\mf}[1]{\ensuremath{\mathfrak{#1}}}
\newcommand{\mbc}[1]{\textbf{\ensuremath{\mathcal{#1}}}}
\newcommand{\delete}{\sm}
\newcommand{\sm}{\ensuremath{\backslash}}
\newcommand{\mz}[1]{\ensuremath{\mbb{Z}_{#1}}}
\newcommand{\mbb}[1]{\ensuremath{\mathbb{#1}}}
\newcommand{\vect}[2]{\ensuremath{{#1}_1, \dots, {#1}_{#2}}}
\newcommand{\contract}{/}
% yomcat.sty

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 432 \hfill
Assignment 2 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}
	\item By Proposition 3.10, $\cl(X)$ is a flat of $M$, and it contains $X$, so $F_1 \cap \cdots \cap F_t \subseteq \cl(X)$. \\
	By Proposition 3.12, and using induction, $F_1 \cap \cdots \cap F_t$ is a flat of $M$. Let this flat be $F$. Let $x \in \cl(X)$. Then either $x \in X \subseteq F$ (and we're done) or $x \in E - X$. So $r(X \cup x) = r(X)$. \\
	Assume that $x \notin F$. Then $r(F \cup x) > r(F)$. \\
	I get lost around here, and can't seem to get the result.
	\item \begin{enumerate}[(i)]
		\item \begin{enumerate}
			\item[\ltr] Assume that $X$ is indepenent. Then every subset of $X$ is also independent. In particular, $X \cap Z$ is independent. So $|X \cap Z| = r(X \cap Z)$. As $X$ is independent, it's either the largest independent set in $X \cup Z$, or there is a larger one contained in $Z$. Hence $r(X \cup Z) = \textrm{max}\set{r(X),r(Z)}$. Hence \begin{align*}
				r(X \cup Z) + r(X \cap Z) &\leq r(X) + r(Z) \\
				|X \cap Z| &\leq r(X) + r(Z) - \textrm{max}\set{r(X),r(Z)}
			\end{align*}
			If $r(X) \geq r(Z)$, then this inequality is $|X \cap Z| \leq r(X) + r(Z) - r(X) = r(Z)$, and the result holds. \\
			If $r(X) < r(Z)$, then this inequality is $|X \cap Z| \leq r(X) + r(Z) - r(Z) = r(X) < r(Z)$, and the result holds.
			\item[\rtl] Assume that $|X \cap Z| \leq r(Z)$. So $|X| + |Z| - |X \cup Z| \leq r(Z)$. Also, $r(Z) < r(X \cup Z)$, as $Z$ is a flat. Using the sub-modular inequality, this implies that $r(X) > r(X \cap Z)$. I need to get to $|X| = r(X)$, but I have no idea how to do this.
		\end{enumerate}
		\item \begin{enumerate}
			\item[\ltr] Assume that $Z$ is a cyclic flat of $M$. Then $Z = C_1 \cup \cdots \cup C_k$. Then $E - Z = E - (C_1 \cup \cdots \cup C_k) = (E - C_1) \cap \cdots \cap (E - C_k)$. So $E - Z$ is the intersection of hyperplanes of $M^*$. As every hyperplane is a flat, and flats are closed under intersection, $E - Z$ is a flat of $M^*$. $Z$ is also an intersection of hyperplanes of $M$ (though I'm not sure how to prove it, it makes intuitive sense), and by duality, $E - Z$ is a union of circuits of $M^*$. Hence $E-Z$ is a cyclic flat of $M^*$.
			\item[\rtl] Dualise the previous result. \pend
		\end{enumerate}
		\item Consider the matroid $M = (\set{a,b,c}, \set{\es,a,b,c,\set{a,b},\set{a,c},\set{b,c}})$. Then \set{a} is a flat of $M$, but it's complement, $\set{b,c}$, is not.
	\end{enumerate}
	\item Let $\mf{I} = \{I \subseteq E - e\ |\ I \cup e \in \mbc{I}\}$. \begin{enumerate}
		\item[{\bf I1}:] Trivially, $\es \subseteq E - e$. If $\es \cup e = e \notin \mbc{I}$, then $e$ is a loop of $M$, and this isn't allowed. Hence $e = \es \cup e \in \mbc{I}$, and so $\es \in \mf{I}$.
		\item[{\bf I2}:] Let $I_1 \in \mf{I}$, and $I_2 \subseteq I_1$. Then $I_2 \subseteq I_1 \subseteq E - e$. Also, $I_2 \cup e \subseteq I_1 \cup e$, and $I_1 \cup e \in \mbc{I}$. As $(E, \mbc{I})$ is a matroid, $I_2 \cup e \in \mbc{I}$ and hence $I_2 \in \mf{I}$.
		\item[{\bf I3}:] Let $I_1$ and $I_2$ be elements of \mf{I} such that $|I_2| < |I_1|$. Then both $I_1 \cup e$ and $I_2 \cup e$ are in \mbc{I}. Furthermore, $|I_2 \cup e| < |I_1 \cup e|$. As $(E, \mbc{I})$ is a matroid, there exists some $f \in (I_1 \cup e) - (I_2 \cup e)$ such that $(I_2 \cup e) \cup f \in \mbc{I}$. But $f \in I_1 - I_2$ and, by rearranging, $(I_2 \cup f) \cup e \in \mbc{I}$. Hence $I_2 \cup f \in \mf{I}$, and {\bf I3} holds. \pend
	\end{enumerate}
	\item \begin{enumerate}[(i)]
		\item $M^*(K_{3,3})$: \begin{figure}[htb]
			\centering
			\includegraphics{2_4i}
		\end{figure}
		\item $$\begindc{\undigraph}[3] %\upsilon
			\obj(10,10)[b]{} % bottom left
			\obj(9,10)[]{}
			\obj(50,10)[c]{} % bottom right
			\obj(51,10)[]{}
			\obj(30,40)[a]{} % top
			\obj(30,20)[e]{} % bottom centre
			\obj(20,25)[f]{} % right middle
			\obj(40,25)[d]{} % left middle
			\mor{f}{c}{}
			\mor{a}{b}{}
			\mor{a}{c}{}
			\mor{b}{d}{}
		\enddc$$
		\item $$\begindc{\undigraph}[2]
			\obj(0,35)[a]{}
			\obj(20,0)[b]{}
			\obj(60,0)[c]{}
			\obj(80,35)[d]{}
			\obj(60,69)[e]{}
			\obj(20,69)[f]{}
			\mor{a}{b}{}
			\mor{b}{c}{}
			\mor{c}{d}{}
			\mor{d}{e}{}
			\mor{e}{f}{}
			\mor{f}{a}{}
			\mor{c}{f}{}
			\cmor((0,35)(15,72)(40,85)(65,72)(80,35)) \pup(0,0){}[2]
		\enddc$$
		\item $$\begindc{\undigraph}[6]
			\obj(0,10)[a]{}
			\obj(0,0)[b]{}
			\obj(10,10)[c]{}
			\obj(10,0)[d]{}
			\mor{c}{d}{}
			\mor{a}{d}{}
			\mor{a}{b}{}
			\cmor((0,0)(5,1)(10,0)) \pup(1,1){}[2]
			\cmor((0,0)(5,-1)(10,0)) \pdown(5,-1){}[2]
			\cmor((0,10)(5,11)(10,10)) \pup(1,1){}[2]
			\cmor((0,10)(5,9)(10,10)) \pdown(5,-1){}[2]
			\cmor((0,0)(5,-3)(11,0)(13,5)(10,10)) \pleft(0,0){}[2]
		\enddc$$
		\item $$\begindc{\undigraph}[3] %\upsilon
			\obj(10,10)[b]{} % bottom left
			\obj(9,10)[]{}
			\obj(50,10)[c]{} % bottom right
			\obj(51,10)[]{}
			\obj(30,40)[a]{} % top
			\obj(30,20)[e]{} % bottom centre
			\obj(20,25)[f]{} % right middle
			\obj(40,25)[d]{} % left middle
			\mor{f}{c}{}
			\mor{a}{b}{}
			\mor{a}{c}{}
			\mor{b}{d}{}
		\enddc$$
		\item The two drawings represent the same matroid because they look the same. \\
		Furthermore, \begin{align*}
		M^*(K_{3,3})\contract e &= M^*(K_{3,3}\contract e) \tag{By Proposition 4.1} \\
		&= M((K_{3,3}\contract e)^*) \tag{By Theorem 3.20} \\
		&= M((K_{3,3}^*)\delete e) \tag{Fact from Graph Theory}
		\end{align*}
	\end{enumerate}
	\item $R_{10}\contract a$ is represented over \mz{2} by
		$$ \kbordermatrix{
		  & f & g & h & i & j \\
		b & 1 & 1 & 1 & 0 & 0 \\
		c & 0 & 1 & 1 & 1 & 0 \\
		d & 0 & 0 & 1 & 1 & 1 \\
		e & 1 & 0 & 0 & 1 & 1 \\
		} $$
	$R_{10}\delete f$ is represented over \mz{2} by
		$$ \kbordermatrix{
		  & g & h & i & j \\
		a & 1 & 0 & 0 & 1 \\
		b & 1 & 1 & 0 & 0 \\
		c & 1 & 1 & 1 & 0 \\
		d & 0 & 1 & 1 & 1 \\
		e & 0 & 0 & 1 & 1 \\
		} $$
	These two matrices are the transpose of each other, so I only need to show that $R_{10}\contract a$ is isomorphic to $M^*(K_{3,3})$. \\
	Constructing the geometric representation of this matroid (and ignoring labels) gives $M^*(K_{3,3})$: \begin{figure}[htb]
			\centering
			\includegraphics{2_4i}
		\end{figure} \\
	So $R_{10}\contract a$ is isomorphic to $M^*(K_{3,3})$ and $R_{10}\delete f$ is isomorphic to $M(K_{3,3})$.
	\item \begin{enumerate}
		\item[\ltr] Assume that $G$ doesn't contain a cycle. Then $G$ is a forest. However, every minor of a forest is also a forest, and hence $G\contract e$ is a forest, and therefore doesn't contain any cycles. The desired result follows via contrapositive.
		\item[\rtl] If $G$ contains a cycle, then either $e$ is in it, or it isn't. If $e$ isn't in the cycle, then $G\contract e$ has a cycle, and we're done. So, $e$ is in the cycle. As $e$ isn't a loop, this cycle has at least two elements in it. Label the edges in the cycle so that $e$ is first: $e, \vect{e}{s}$. Then contracting $e$ has the effect of moving $e_1$ so that it is connected to $e_s$, and the cycle is now \vect{e}{s}. \pend
	\end{enumerate}
	\item \begin{enumerate}[(i)]
		\item I'll start with the case when $r = n$. So, I'm looking at the matroid $U_{n,n} = (E, \mbc{I} =  \set{I\ |\ I \subseteq E})$. Now, $M\delete e = (E - e, \set{I \subseteq E - e\ |\ I \in \mbc{I}})$. This is isomorphic to $U_{n-1,n-1}$, as desired. \\
		Now assume $r < n$. $M$ contains all subsets of $E$ of size up to $r$. So $M \delete e$ contains all subsets of $E$ of size up to $r$ that don't contain $e$. As $r < n$, there must be some subsets of each size that don't contain $e$, and hence $r(M\delete e) = r(M)$. For the ground set, only one element ($e$) is being removed, so it now has size $n-1$. Hence $(U_{r,n} \delete e) \cong U_{r, n-1}$. \pend
		\item I'll start with the case when $r = 0$, so $M = (E, \set{\es})$. Then $M \contract e = (E - e, \set{\es}) \cong U_{r,n-1}$. \\
		Now assume $r > 0$. $|E(M)| = n$, so $|E(M\contract e)| = |E(M) - e| = n-1$. Also, if $I$ is a maximal independent set in $M \contract e$, and $|I| = k$, then $I \cup e \in \mbc{I}(M)$, and is maximal. So $r(M) = k+1$. We know that $\mbc{I}(M)$ contains every set of size $k + 1$, so it contains every set of the form $I \cup e$, for some $I$ of size $k$. So $M \contract e$ contains every set of size $k$. Letting $k+1 = r$, we get that $M \contract e \cong U_{r-1,n-1}$, as desired. \pend
	\end{enumerate}
	\item I'm guessing that this would be $U_{0,1}$ or $U_{1,1}$ extended by something, but I have no idea how to show this.
	\item By {\bf B2}, $(B_1 - e) \cup f$ is a basis. Now consider $(B_2 - f) \cup e$, and assume that it is dependent. Then it contains a circuit, $C_1$. This circuit must contain $e$, and it must have at least one element in $B_2 - B_1$. This circuit is also unique. However, $B_2$ is independent, but $B_2 \cup e$ is dependent. Hence $B_2 \cup e$ also contains a unique circuit, $C_2$. \\
	I want $f$ to be in $C_2$, to get a contradiction. But I can't see to manage this.
\end{enumerate}

\end{document}